// NbL[gpubN}[NǗNX
function Bookmark()
{
	var COOKIENAME	= "Bookmark";
	this.urls		= new Array();
	this.titles		= new Array();

	Bookmark.prototype.load			= _load;
	Bookmark.prototype.save			= _save;
	Bookmark.prototype.clearSave	= _clearSave;
	Bookmark.prototype.add			= _add;
	Bookmark.prototype.remove		= _remove;
	Bookmark.prototype.numOfItems	= _numOfItems;
	Bookmark.prototype.getUrl		= _getUrl;
	Bookmark.prototype.getTitle		= _getTitle;

	_loadTo(this);

	return this;

	//
	function _loadTo(obj)
	{
		// ď
		obj.urls		= new Array();
		obj.titles		= new Array();

		cookies	= getCookies();
		if ( cookies[COOKIENAME] != undefined )
		{
			list = cookies[COOKIENAME].split("\t");
			for (i = 0; i < list.length; i++)
			{
				pair = list[i].split("\\");
				obj.urls[i]	= pair[0];
				obj.titles[i]	= pair[1];
			}
		}
	}

	//
	function _load()
	{
		_loadTo(this);
	}

	//
	function _save(expiredays)
	{
		if ( this.numOfItems() > 0 )
		{
			list = new Array();
			for (i = 0; i < this.numOfItems(); i++)
			{
				list[i] = this.urls[i] + "\\" + this.titles[i];
			}
			value = list.join("\t");
			setCookie(COOKIENAME, value, expiredays);
		}
	}

	function _clearSave()
	{
		setCookie(COOKIENAME, "", -1);
	}

	function _add( url, title )
	{
		i = this.numOfItems();
		this.urls[i]	= url;
		this.titles[i]	= title;
	}

	function _remove(index)
	{
		newUrls		= new Array();
		newTitles	= new Array();

		j = 0;
		for ( i=0; i<this.numOfItems(); i++)
		{
			if ( i!=index )
			{
				newUrls[j]		= this.urls[i];
				newTitles[j]	= this.titles[i];
				j++;
			}
		}

		this.urls	= newUrls;
		this.titles	= newTitles;
	}

	//
	function _numOfItems()
	{
		return this.urls.length;
	}

	function _getUrl(index)
	{
		return ( index >= 0 && index < this.numOfItems() ) ? this.urls[index] : "";
	}

	function _getTitle(index)
	{
		return ( index >= 0 && index < this.numOfItems() ) ? this.titles[index] : "";
	}
}
